function P0 = init_P0_array( max_M )
%init_P0_tex precomputes an array of zero argument Legendre polynomial
%values
texSize = (max_M + 1)*(max_M + 1);
P0 = zeros(1, texSize);
P0(1) = 1;
for n=1:max_M
P0(n*(n + 2) + 1) = -(n + n - 1)*P0(n*n);
idx = n*(n + 1);
for m=(n - 1):-2:(-n + 1)
  P0(idx + m) = P0(idx + m + 2)/((n + m)*(m - n - 1));
end
end

