function [ pi_n ] = inh_pi_phase( n, theta )
%inh_pi_phase computes pi_n(theta) for the Lorenz-Mie scattering components.
pi_n = -0.5*n*P0(n-1,0)*P0(n,1);
for m=1:(n-1)
    pi_n = pi_n + (-1)^m*(m - n)*P0(n-1,-m)*P0(n,m+1)*cos(m*theta);
end
pi_n = 2*pi_n;
end