function [ tau_n ] = inh_tau_phase( n, theta)
%inh_tau_phase computes tau_n(theta) for the Lorenz-Mie scattering components.
tau_n = 0;
for m=1:n
    tau_n = tau_n + (-1)^m*m*m*P0(n,-m)*P0(n,m)*cos(m*theta);
end
tau_n = 2*tau_n;
end
